<template>
    <div id="cmp-todo-list">
        <todo-item v-for="todo in todos"
                   v-bind:todo="todo"
                   @selected="onTodoItemSelected"></todo-item>
    </div>
</template>
<style>
</style>
<script>
import TodoItem from './TodoItem'
import { mapState } from 'vuex'

export default {
  name: 'todo-list',
  data () {
    return {}
  },
  methods: {
    onTodoItemSelected: function (todo) {
      this.$emit('todoItemSelected')
    }
  },
  components: {
    TodoItem
  },
  computed: mapState({
    todos: state => state.Todos.todos
  })
}
</script>
